##  for PCLinuxOS  ##

%define ver 0.2.3
%define rel 5.1.nora16

%define scim_version 1.4.15
%define m17n_lib_version 1.7.0

Name:    scim-m17n
Summary: A wrapper for m17n
Version: %{ver}
Release: %{rel}
Group:   System/Internationalization
License: GPL
URL:     http://sourceforge.net/projects/scim/
Source0: http://freefr.dl.sourceforge.net/sourceforge/scim/%{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: m17n-lib-devel >= %{m17n_lib_version}
BuildRequires: scim-devel >= %{scim_version}
Requires: m17n-lib >= %{m17n_lib_version}
Requires: scim >= %{scim_version}
Obsoletes: libscim-m17n0

%description
A wrapper for m17n.


%prep
%setup -q


%build
#autoreconf -fi
%configure2_5x --disable-static
%make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove unneeded files
rm -f $RPM_BUILD_ROOT%{scim_plugins_dir}/IMEngine/*.{a,la}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_datadir}/scim/icons/*
%{scim_plugins_dir}/IMEngine/*.so


%changelog
* Fri Feb 05 2016 tomcat <> 0.2.3-5.1
- rebuild with scim-1.4.15 and m17n-lib-1.7.0

* Thu Nov 14 2013 pinoc <vogtpet at gmail.com> 0.2.3-5pclos2013
- rebuild against even newer scim

* Fri Nov 05 2013 pinoc <vogtpet at gmail.com> 0.2.3-4pclos2013
- rebuild against new scim

* Sun Feb 03 2013 pinoc <vogtpet at gmail.com> 0.2.3-3pclos2013
- rebuild on 64

* Sun Aug 15 2010 Texstar <texstar at gmail.com> 0.2.3-2pclos2010
- rebuild

* Wed May 12 2010 Texstar <texstar at gmail.com> 0.2.3-1pclos2010
- 0.2.3 for 2010 release

